Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.tsp
Class TimeStampTokenInfo

    java.lang.Object
      org.bouncycastle.tsp.TimeStampTokenInfo

    public class TimeStampTokenInfo

extends java.lang.Object

Method Summary
`org.bouncycastle.asn1.tsp.Accuracy` `getAccuracy()`
`byte[]` `getEncoded()`
`java.util.Date` `getGenTime()`
`GenTimeAccuracy` `getGenTimeAccuracy()`
`java.lang.String` `getMessageImprintAlgOID()`
`byte[]` `getMessageImprintDigest()`
`java.math.BigInteger` `getNonce()`
`java.lang.String` `getPolicy()`
`java.math.BigInteger` `getSerialNumber()`
`org.bouncycastle.asn1.x509.GeneralName` `getTsa()`
`boolean` `isOrdered()`
`org.bouncycastle.asn1.tsp.TSTInfo` `toTSTInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isOrdered

    public boolean isOrdered()

### getAccuracy

    public org.bouncycastle.asn1.tsp.Accuracy getAccuracy()

### getGenTime

    public java.util.Date getGenTime()

### getGenTimeAccuracy

    public GenTimeAccuracy getGenTimeAccuracy()

### getPolicy

    public java.lang.String getPolicy()

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

### getTsa

    public org.bouncycastle.asn1.x509.GeneralName getTsa()

### getNonce

    public java.math.BigInteger getNonce()

  Returns:
    the nonce value, null if there isn't one.

### getMessageImprintAlgOID

    public java.lang.String getMessageImprintAlgOID()

### getMessageImprintDigest

    public byte[] getMessageImprintDigest()

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### toTSTInfo

    public org.bouncycastle.asn1.tsp.TSTInfo toTSTInfo()

Bouncy Castle Cryptography Library 1.45